Subject: bug#39 closed by Chong Yidong <[email-masked]> (Re: inconsistent behavior with scroll-margin and scroll-conservatively)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#546: inconsistent behavior with scroll-margin and scroll-conservatively

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
546: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=546
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Wed Aug  6 11:28:55 2008
From: Chong Yidong <[email-masked]>
To: Greg Falcon <[email-masked]>, Andy Grover <[email-masked]>
Cc: [email-masked]
Subject: Re: inconsistent behavior with scroll-margin and scroll-conservatively
Date: Wed, 06 Aug 2008 14:29:23 -0400

I've just checked in fixes to Emacs' display engine that should solve
the problems with scroll-margin.  These fixes are not safe enough for
Emacs 22, but they'll be present in Emacs 23 (current CVS trunk).

Thanks for the bug reports.

>From [email-masked] Tue Mar  4 17:45:26 2008
Resent-Message-ID: <[email-masked]>
Resent-To: [email-masked]
Resent-From: Stefan Monnier <[email-masked]>
Resent-Date: Tue, 04 Mar 2008 20:44:58 -0500
Date: Tue, 04 Mar 2008 12:03:14 -0800
From: Andy Grover <[email-masked]>
To: [email-masked]
Subject: inconsistent behavior with scroll-margin and scroll-conservatively
Sender: bug-gnu-emacs-bounces+monnier=[email-masked]

I have scroll-margin set to 5 and scroll-conservatively set to 1000. The
behavior I want is while arrowing up or down, the screen scrolls by 1
line, starting 5 rows from the top or bottom. This works fine if
arrowing up while the bottom of the buffer is not on screen, but if
arrowing down, then the cursor goes all the way to the last row and
then scrolls the screen by 5 lines. It also appears to do this even
while going up if the end of the buffer is visible.

Thanks -- Andy

In GNU Emacs 22.1.1 (i486-pc-linux-gnu, GTK+ Version 2.12.0)
 of 2007-11-06 on terranova, modified by Ubuntu
Windowing system distributor `The X.Org Foundation', version 11.0.10300000
configured using `configure  '--build' 'i486-linux-gnu' '--host'
'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib'
'--libexecdir=/usr/lib' '--localstatedir=/var'
'--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes'
'--enable-locallisppath=/etc/emacs22:/etc/emacs:/usr/local/share/emacs/22.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/22.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/22.1/leim'
'--with-x=yes' '--with-x-toolkit=gtk' 'build_alias=i486-linux-gnu'
'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN
-DSITELOAD_PURESIZE_EXTRA=5000 -g -O2''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  show-paren-mode: t
  desktop-save-mode: t
  cua-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t